> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geo-endpoints-for-spatial-data-access.md).

# Geo endpointy do dostępu do danych przestrzennych

{% hint style="success" %}
GeoPard używa <https://www.ogc.org/> formatów danych Open Geospatial Consortium, takich jak WMS do obrazów i WFS do danych wektorowych. Obsługujemy również pliki shapefile do importu i eksportu. Silnik umożliwia elastyczny import i eksport we wszystkich tych formatach danych. W przypadku zobrazowań satelitarnych używamy [COG-ów (Cloud Optimized GeoTIFF)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Aby wykonywać żądania WMS/WFS, musisz zainstalować Postman.
{% endhint %}

{% hint style="info" %}
Każde żądanie musi być podpisane nagłówkiem "Authorization" (w którym należy umieścić token) albo parametrem URL "geopardApiKey " (w którym należy umieścić klucz API użytkownika).
{% endhint %}

Punkty końcowe API WMS są przechowywane w atrybutach "geoMaps" encji "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset" i "YieldDataset". Zobacz [schemat danych GeoPard.](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geopard-api-data-schema.md)

Punkty końcowe API WFS są przechowywane w polach "boundaryUrl", "zonesMapUrl" i "attributesUrl" encji "Field" oraz "VectorAnalysisMap".

{% hint style="info" %}
Aby uzyskać dokładniejsze obrazy, zalecamy używanie układu współrzędnych EPSG:900913 zamiast EPSG:3857.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
